Bug 234355 - 2 duplicated options in configuration dialogue
Summary: 2 duplicated options in configuration dialogue
Status: RESOLVED FIXED
Alias: None
Product: klipper
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Esben Mose Hansen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-14 16:25 UTC by Jonathan Marten
Modified: 2011-08-12 20:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to fix duplicated options (5.70 KB, patch)
2010-04-14 17:09 UTC, Jonathan Marten
Details
remaing string changes from Jonathan's pach in comment #1 (4.76 KB, patch)
2011-07-31 17:53 UTC, Burkhard Lück
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Marten 2010-04-14 16:25:40 UTC
Version:            (using Devel)
Installed from:    Compiled sources

The "General" page of the "Configure Klipper" dialogue includes two check boxes:

  Replay actions on an item selected from history
  Remove whitespace when executing actions

These boxes toggle when they are clicked, but do nothing else - they do not set the application options, and the "Apply" button does not become enabled when their state changes.

These two checkboxes are duplicated on the "Actions" page, where they work correctly.

If the intention really was to move the two options to the "Actions" page, then they should be removed from the "General" page.
Comment 1 Jonathan Marten 2010-04-14 17:09:31 UTC
Created attachment 42778 [details]
Patch to fix duplicated options

Also cleans up some other visible strings:
abbreviated "Config" -> "Configuration",
consistent case in "Ignore selection" option,
paragraph break in 3 long tooltips,
add "..." to "Advanced" button.
Comment 2 Oswald Buddenhagen 2010-06-06 17:00:52 UTC
ping ...

as we are at it, the "ignore images" and "text selection only" options seem to have some overlap, and i don't see why the latter is selection-specific. the wording of both is suboptimal.
Comment 3 Esben Mose Hansen 2010-06-06 17:31:30 UTC
thanks for the ping, I  seems to have missed this patch. sorry, I will look into it when baby-free.

text selection is different from avoid images in that usually, you don't want to copy images on selection. I'd agree that this needs work when we support more types than urlbundles, images and text.
Comment 4 Burkhard Lück 2011-07-31 17:25:49 UTC
Git commit 3a84c292a906e2225dc6ac51933255920d059d62 by Burkhard Lück.
Committed on 31/07/2011 at 19:24.
Pushed by lueck into branch 'KDE/4.7'.

Delete duplicated configuration options

Klipper's configuration dialog has duplicated options
kcfg_ReplayActionInHistory + kcfg_StripWhiteSpace on
the General + Actions page.

Commit log of Revision 1052730 (added kcfg_ReplayActionInHistory
+ kcfg_StripWhiteSpace to actionsconfig.ui) reads:
'Move actions-related config to action config dialog...'

Apparently it was forgotten to delete these actions from generalconfig.ui,
so in fact it was a Copy not a Move.
REVIEW:102150
CCBUG:234355
(cherry picked from commit 3326a0f1c58809176020be54aa17d52ca94878ef)

M  +0    -14   klipper/generalconfig.ui

http://commits.kde.org/kde-workspace/3a84c292a906e2225dc6ac51933255920d059d62
Comment 5 Burkhard Lück 2011-07-31 17:25:52 UTC
Git commit 3326a0f1c58809176020be54aa17d52ca94878ef by Burkhard Lück.
Committed on 31/07/2011 at 19:24.
Pushed by lueck into branch 'master'.

Delete duplicated configuration options

Klipper's configuration dialog has duplicated options
kcfg_ReplayActionInHistory + kcfg_StripWhiteSpace on
the General + Actions page.

Commit log of Revision 1052730 (added kcfg_ReplayActionInHistory
+ kcfg_StripWhiteSpace to actionsconfig.ui) reads:
'Move actions-related config to action config dialog...'

Apparently it was forgotten to delete these actions from generalconfig.ui,
so in fact it was a Copy not a Move.
REVIEW:102150
CCBUG:234355

M  +0    -14   klipper/generalconfig.ui

http://commits.kde.org/kde-workspace/3326a0f1c58809176020be54aa17d52ca94878ef
Comment 6 Burkhard Lück 2011-07-31 17:53:47 UTC
Created attachment 62391 [details]
remaing string changes from Jonathan's pach in comment #1

@Jonathan:
These are the remaining string changes from your patch, which completely makes sense to.

@esben:
Objections to commit this to master? (4.7 is in string freeze)
Comment 7 Burkhard Lück 2011-08-12 12:32:43 UTC
(In reply to comment #6)
> Created an attachment (id=62391) [details]
> remaing string changes from Jonathan's pach in comment #1
> 
> @Jonathan:
> These are the remaining string changes from your patch, which completely makes
> sense to.
> 
> @esben:
> Objections to commit this to master? (4.7 is in string freeze)

Ping?
Comment 8 Esben Mose Hansen 2011-08-12 19:46:59 UTC
Looks good to me.
Comment 9 Burkhard Lück 2011-08-12 20:21:33 UTC
Git commit 20eecd3fb223fc68c48fe527d6192ae9f55a11a6 by Burkhard Lück.
Committed on 12/08/2011 at 22:21.
Pushed by lueck into branch 'master'.

fix wording, based on a patch by Jonathan Marten and ack'ed by Esben Mose Hansen

BUG:234355

M  +3    -3    klipper/configdialog.cpp
M  +1    -1    klipper/actionsconfig.ui
M  +3    -3    klipper/klipper.kcfg

http://commits.kde.org/kde-workspace/20eecd3fb223fc68c48fe527d6192ae9f55a11a6